@NonNullApi @NonNullFields

# Package org.springframework.web.socket.sockjs

Top-level SockJS types.

See: Description

Interface Summary
SockJsService: The main entry point for processing HTTP requests from SockJS clients.

Exception Summary
SockJsException: Base class for exceptions raised while processing SockJS HTTP requests.
SockJsMessageDeliveryException: An exception thrown when a message frame was successfully received over an HTTP POST and parsed but one or more of the messages it contained could not be delivered to the WebSocketHandler either because the handler failed or because the connection got closed.
SockJsTransportFailureException: Indicates a serious failure that occurred in the SockJS implementation as opposed to in user code (e.g.

## Package org.springframework.web.socket.sockjs Description

Top-level SockJS types.